package com.hh.lib_qr;

/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/7/1
 */
public enum QRScanType {
    DEFAULT(-1),DX(9);



    private int value;
    QRScanType(int value){
        this.value = value;
    }
    public int getValue() {
        return value;
    }

    public static QRScanType fromValue(int value) {
        for (QRScanType type : QRScanType.values()) {
            if (type.getValue() == value) {
                return type;
            }
        }
        return DEFAULT; // 或者抛出一个异常，如果你确定这种情况不应该发生
    }
}
